import "./index.less";
import FlashOff24Regular from "@ricons/fluent/FlashOff24Regular";
import { Icon } from "@ricons/utils";
import { useNavigate } from "react-router-dom";

export default function Result() {
  const navigate = useNavigate();

  return (
    <div className="container result">
      <Icon size={48} color="var(--color-text-3)">
        <FlashOff24Regular />
      </Icon>
      <div className="mt12">访问被禁止</div>
      <button
        className="bs btn br3 mt24"
        onClick={() => navigate("/subscribe")}
      >
        订阅课程
      </button>
    </div>
  );
}
